# Class MessageDestinationRef

java.lang.Object
org.apache.tomcat.util.descriptor.web.ResourceBase
org.apache.tomcat.util.descriptor.web.MessageDestinationRef

All Implemented Interfaces:
  `Serializable`, `Injectable`

public class MessageDestinationRef extends ResourceBase

Representation of a message destination reference for a web application, as represented in a `<message-destination-ref>` element in the deployment descriptor.

Since:
  Tomcat 5.0
Author:
  Craig R. McClanahan
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MessageDestinationRef()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getLink()`
`String`
`getUsage()`
`int`
`hashCode()`
`void`
`setLink(String link)`
`void`
`setUsage(String usage)`
`String`
`toString()`
Return a String representation of this object.

### Methods inherited from class org.apache.tomcat.util.descriptor.web.ResourceBase

`addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageDestinationRef

public MessageDestinationRef()

## Method Details

### getLink

public String getLink()

### setLink

public void setLink(String link)

### getUsage

public String getUsage()

### setUsage

public void setUsage(String usage)

### toString

public String toString()
Return a String representation of this object.

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `ResourceBase`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `ResourceBase`